#!/bin/bash
#set -x
homepage="http://www.tagesschau.de/export/video-podcast/tagesthemen"
homepagefile1=/tmp/t1.txt
homepagefile2=/tmp/t2.txt
videofiles=/var/lib/video/film/Streaming/Tagesschau
svdrpsend=/usr/lib/vdr/svdrpsend.pl

cd /tmp

$svdrpsend MESG 'TagesThemen Aktualisierung gestartet'

wget -r -O $homepagefile1 $homepage

cat  $homepagefile1 |grep 'url=' | gawk -F'"' 'NR==1 {print $2}'| gawk -F'?' '{print $1}' >$homepagefile2
cat  $homepagefile1 |grep 'url=' | gawk -F'"' 'NR==2 {print $2}'| gawk -F'?' '{print $1}' >>$homepagefile2

for i in `cat $homepagefile2`; do
    	cd $videofiles
	wget -N $i
	$svdrpsend MESG $homepagefile2' gedwonloaded'
done
 
find $videofiles -type f  -mtime +3 -exec rm {} \;

$svdrpsend MESG 'TagesThemen Nachrichten aktualisieren fertig'


rm $homepagefile1
rm $homepagefile2

exit
